## t38modem 0.8.0+20050304

=== Makefile ===
--- 
+++ 
@@ -22,6 +22,15 @@
 # Contributor(s): Equivalence Pty ltd
 #
 # $Log: Makefile,v $
+# Revision 1.11  2004/07/07 12:38:32  vfrolov
+# The code for pseudo-tty (pty) devices that communicates with fax application formed to PTY driver.
+#
+# Revision 1.10  2004/03/09 17:22:58  vfrolov
+# Added PROCESS_PER_THREAD ifdef
+#
+# Revision 1.9  2003/12/04 15:56:45  vfrolov
+# Added hdlc.cxx t30.cxx fcs.cxx
+#
 # Revision 1.8  2002/08/05 10:10:29  robertj
 # Normalised Makefile usage of openh323u.mak include file, fixing odd messages.
 #
@@ -44,7 +53,10 @@
 # 
 
 PROG		= t38modem
-SOURCES		:= pmutils.cxx dle.cxx pmodem.cxx pty.cxx pmodemi.cxx pmodeme.cxx t38engine.cxx main.cxx g7231_fake.cxx t30tone.cxx
+SOURCES		:= pmutils.cxx dle.cxx pmodem.cxx pmodemi.cxx drivers.cxx \
+		   g7231_fake.cxx t30tone.cxx hdlc.cxx t30.cxx fcs.cxx \
+		   pmodeme.cxx t38engine.cxx main.cxx \
+		   drv_pty.cxx \
 
 ifndef OPENH323DIR
 OPENH323DIR=$(HOME)/openh323
@@ -68,3 +80,12 @@
 STDCCFLAGS += -DMYPTRACE_LEVEL=$(MYPTRACE_LEVEL)
 endif
 
+#
+# If defined PROCESS_PER_THREAD then
+#  - PID will be used in thread name rather then TID
+#  - CPU usage will be traced
+#
+ifdef PROCESS_PER_THREAD
+STDCCFLAGS += -DPROCESS_PER_THREAD
+endif
+
