## t38modem 0.8.4

=== Makefile ===
--- 
+++ 
@@ -22,6 +22,12 @@
 # Contributor(s): Equivalence Pty ltd
 #
 # $Log: Makefile,v $
+# Revision 1.13  2006/10/20 10:06:43  vfrolov
+# Added REPEAT_INDICATOR_SENDING ifdef
+#
+# Revision 1.12  2006/10/19 10:45:59  vfrolov
+# Added FD_TRACE_LEVEL ifdef
+#
 # Revision 1.11  2004/07/07 12:38:32  vfrolov
 # The code for pseudo-tty (pty) devices that communicates with fax application formed to PTY driver.
 #
@@ -81,6 +87,14 @@
 endif
 
 #
+# If defined FD_TRACE_LEVEL=N then myPTRACE() will
+# output the warnings on level N for big file descriptors
+#
+ifdef FD_TRACE_LEVEL
+STDCCFLAGS += -DFD_TRACE_LEVEL=$(FD_TRACE_LEVEL)
+endif
+
+#
 # If defined PROCESS_PER_THREAD then
 #  - PID will be used in thread name rather then TID
 #  - CPU usage will be traced
@@ -89,3 +103,11 @@
 STDCCFLAGS += -DPROCESS_PER_THREAD
 endif
 
+#
+# If defined REPEAT_INDICATOR_SENDING then t38modem
+# will repeat indicator sending on idle
+#
+ifdef REPEAT_INDICATOR_SENDING
+STDCCFLAGS += -DREPEAT_INDICATOR_SENDING
+endif
+
