=== debian/changelog ===
t38modem (1.2.0-1build1) maverick; urgency=low

  * No changes upload for libopal3.6.6 -> libopal3.6.8 transition

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Wed, 15 Sep 2010 08:18:57 +0200

t38modem (1.2.0-1) unstable; urgency=low

  * New upstream release (Closes: #541333, #549365, #512106) 

  [ Patrick Matthäi ]
  * Remove dpatch and debian/patches - there are no available patches.
    Thanks lintian.

  [ Mark Purcell ]
  * Add Build-Depends: libopal-dev (Closes: #577869)
  * Update debian/watch -> t38modem.sf.net
  * Switch to dh 7
  * Added simplify-makefile (Thks mvanderkolff) (Closes: #584501)
  * Add missing debian/t38modem.install
  * Update to Standards 3.8.4

 -- Mark Purcell <msp@debian.org>  Fri, 04 Jun 2010 22:59:05 +1000

t38modem (0.8.4-2) unstable; urgency=low

  * Extremadura release ;-)
  * Rebuild to force libopenh323-1.19.1-dev transition

 -- Mark Purcell <msp@debian.org>  Fri, 30 Nov 2007 11:55:47 +0100

t38modem (0.8.4-1) unstable; urgency=low

  * New upstream release from CVS tag. (Closes: #436102)
  * 10_debian_patch removed. Included upstream.
  * Rebuild with new libopenh323 and libpt to overcome linker problem causing
    --help to not work. (Closes: #433747)
  * Needs OpenH323 Titan release to overcome FTBFS (Closes: #436102)
  * Bump Standards-Version to 3.7.2. No change needed.
  * Fix debian/watch.
  * Don't set DH_COMPAT, use debian/compat
  * Don't ignore make clean errors.
  * Add a more meaningful whatis entry to manpage.
  * Add Homepage field as added in dpkg-dev 1.14.6.

 -- Kilian Krause <kilian@debian.org>  Sun, 14 Oct 2007 22:33:53 +0200

t38modem (0.8.0+20050304-4) unstable; urgency=low

  * Make sure clean target leaves behind no newly created files
    (Closes: #362707)

 -- Kilian Krause <kilian@debian.org>  Mon,  5 Dec 2005 19:00:38 +0000

t38modem (0.8.0+20050304-3) unstable; urgency=low

  * Recompile with latest pwlib and openh323 to complete libstc++ ABI
    transition.

 -- Kilian Krause <kilian@debian.org>  Mon,  5 Dec 2005 19:51:42 +0100

t38modem (0.8.0+20050304-2) unstable; urgency=low

  * C++ ABI transition 

 -- Mark Purcell <msp@debian.org>  Sun, 17 Jul 2005 08:35:25 +1000

t38modem (0.8.0+20050304-1) unstable; urgency=low

  * Updated to Mimas_rc2 codebase.

 -- Kilian Krause <kk@verfaction.de>  Fri,  4 Mar 2005 01:26:31 +0100

t38modem (0.8.0-2) unstable; urgency=low

  * Recompiled with new Mimas pwlib/openh323 release
  * Package targeted to unstable distribution.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sun, 20 Feb 2005 23:22:10 +0100

t38modem (0.8.0-1) experimental; urgency=low

  * New upstream release from CVS.
  * Building with atlas release of openh323.
  * Debian VoIP upload.

 -- Kilian Krause <kk@verfaction.de>  Wed,  5 Jan 2005 02:32:16 +0100

t38modem (0.6.2-7) unstable; urgency=low

  * Rebuild libopenh323-dev
  * New openh323 needs export PREFIX=/usr; export RELATED_PKG_MAKEFILE=1
  * Convert to dpatch for svn-upload
  * pkg-voip-maintainers upload
  * Closes: #264089: Uninstallable in sid

 -- Mark Purcell <msp@debian.org>  Fri, 13 Aug 2004 20:37:04 +1000

t38modem (0.6.2-6) unstable; urgency=low

  * Build-Conflicts: linux-kernel-headers (<< 2.5.999-test7-bk-14)

 -- Mark Purcell <msp@debian.org>  Sun, 11 Apr 2004 08:12:25 +1000

t38modem (0.6.2-5) experimental; urgency=low

  * Rebuild for libopenh323-dev-1.13.2

 -- Mark Purcell <msp@debian.org>  Sat, 13 Mar 2004 23:41:05 +1100

t38modem (0.6.2-4) unstable; urgency=low

  * Closes: #233609: Cleanup FTBFS debian/rules & main.cxx patch from Jurij Smakov

 -- Mark Purcell <msp@debian.org>  Wed, 25 Feb 2004 03:15:26 +1100

t38modem (0.6.2-3) unstable; urgency=low

  * Rebuild with libopenh323-dev-1.12.2 (Closes: Bug#217479)

 -- Mark Purcell <msp@debian.org>  Tue, 28 Oct 2003 18:01:05 +1100

t38modem (0.6.2-2) unstable; urgency=low

  * Build-Depends: libopenh323-dev, libexpat1-dev (Closes: Bug#201011)

 -- Mark Purcell <msp@debian.org>  Mon, 14 Jul 2003 23:32:48 +1000

t38modem (0.6.2-1) unstable; urgency=low

  * Initial Release. (Closes: Bug#200464)
  * Patch to include -v option for help2man

 -- Mark Purcell <msp@debian.org>  Tue,  8 Jul 2003 23:40:22 +1000
