=== debian/control ===
Source: t38modem
Section: comm
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Kilian Krause <kilian@debian.org>, Jose Carlos Garcia Sogo <jsogo@debian.org>, Mark Purcell <msp@debian.org>, Santiago Garcia Mantinan <manty@debian.org>
Build-Depends: debhelper (>= 7), help2man, libopal-dev, libexpat1-dev
Build-Conflicts: linux-kernel-headers (<< 2.5.999-test7-bk-14)
Standards-Version: 3.8.4
Homepage: http://t38modem.sf.net/
Vcs-Svn: svn://svn.debian.org/pkg-voip/t38modem/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/t38modem/?op=log

Package: t38modem
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: hylafax-server
Description: T.38 Fax over IP pseudo modem
 From your fax application view point it's a fax modem pool.
 From IP network view point it's a H.323 endpoint with T.38 fax support.
 From your view point it's a gateway between a fax application and IP network.
