## t38modem 2.0.0

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 #
 # T38FAX Pseudo Modem
 #
-# Copyright (c) 2001-2009 Vyacheslav Frolov
-#
-# Open H323 Project
+# Copyright (c) 2001-2011 Vyacheslav Frolov
+#
+# t38modem Project
 #
 # The contents of this file are subject to the Mozilla Public License
 # Version 1.0 (the "License"); you may not use this file except in
@@ -24,6 +24,18 @@
 # Contributor(s): Equivalence Pty ltd
 #
 # $Log: Makefile,v $
+# Revision 1.29  2011/01/12 12:23:43  vfrolov
+# Replaced hardcoded workaround for mgetty-voice by conditional one
+#
+# Revision 1.28  2010/10/12 16:46:25  vfrolov
+# Implemented fake streams
+#
+# Revision 1.27  2010/10/06 16:54:19  vfrolov
+# Redesigned engine opening/closing
+#
+# Revision 1.26  2010/02/12 08:35:51  vfrolov
+# Added fake_codecs.cxx
+#
 # Revision 1.25  2009/07/31 17:34:40  vfrolov
 # Removed --h323-old-asn and --sip-old-asn options
 #
@@ -99,7 +111,7 @@
 
 PROG		= t38modem
 SOURCES		:= pmutils.cxx dle.cxx pmodem.cxx pmodemi.cxx drivers.cxx \
-		   t30tone.cxx hdlc.cxx t30.cxx fcs.cxx \
+		   t30tone.cxx tone_gen.cxx hdlc.cxx t30.cxx fcs.cxx \
 		   pmodeme.cxx enginebase.cxx t38engine.cxx audio.cxx \
 		   drv_pty.cxx \
 		   main_process.cxx
@@ -118,7 +130,8 @@
              modemep.cxx modemstrm.cxx \
              h323ep.cxx \
              sipep.cxx \
-             manager.cxx
+             manager.cxx \
+             fake_codecs.cxx \
 
   ifndef OPALDIR
     OPALDIR=$(HOME)/opal
@@ -131,7 +144,7 @@
 else
   VPATH_CXX := h323lib
 
-  SOURCES += t38protocol.cxx g7231_fake.cxx h323ep.cxx
+  SOURCES += t38protocol.cxx audio_chan.cxx g7231_fake.cxx h323ep.cxx
 
   ifndef OPENH323DIR
     OPENH323DIR=$(HOME)/openh323
@@ -214,3 +227,12 @@
   STDCCFLAGS += -DUSE_LEGACY_PTY
 endif
 
+#
+# If defined ALAW_132_BIT_REVERSE then t38modem
+# will use reversed bit order for +VSM=132
+# (workaround for mgetty-voice)
+#
+ifdef ALAW_132_BIT_REVERSE
+  STDCCFLAGS += -DALAW_132_BIT_REVERSE
+endif
+
