=== debian/changelog ===
t38modem (2.0.0-4build3) yakkety; urgency=medium

  * No-change rebuild for ptlib soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 30 Apr 2016 16:09:30 +0000

t38modem (2.0.0-4build2) wily; urgency=medium

  * No-change rebuild against new ptlib (g++5)

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 12 Aug 2015 12:48:12 +0100

t38modem (2.0.0-4build1) vivid; urgency=medium

  * No-change rebuild to pick up the new libcapi20-3.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 28 Jan 2015 10:50:26 -0500

t38modem (2.0.0-4) unstable; urgency=low

  * Sync with Ubuntu - Thanks Adam for API fix (Closes: #695815)
    - supports libpt2.10.10 transition
  * debian/compat -> 9
  * Update Standards Version 3.9.4 - no further changes

 -- Mark Purcell <msp@debian.org>  Sat, 01 Jun 2013 21:25:38 +1000

t38modem (2.0.0-3ubuntu3) raring; urgency=low

  * No-change rebuild for the opal/libpt2.10.10 transition 

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 04 Mar 2013 11:39:59 -0500

t38modem (2.0.0-3ubuntu2) raring; urgency=low

  * debian/patches/opal-3.10.9.patch: Adjust again for new API changes
    in the new opal version, and rebuild for the opal/ptlib transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 12 Dec 2012 14:38:32 -0700

t38modem (2.0.0-3ubuntu1) raring; urgency=low

  * debian/patches/opal-3.10.7.patch: Adjust slightly for API changes
    in the new opal version, and rebuild for the opal/ptlib transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 31 Oct 2012 15:30:25 +0000

t38modem (2.0.0-3) unstable; urgency=low

  [ Michael van der Kolff ] 
  * Apply patch attached to #671382 (Closes: #671382)
   - Thanks, Matej! (vela@debian.org)

 -- Mark Purcell <msp@debian.org>  Sun, 30 Sep 2012 09:43:47 +1000

t38modem (2.0.0-2) unstable; urgency=low

  * Upload to unstable - coordinated through debian-release

 -- Mark Purcell <msp@debian.org>  Sun, 26 Feb 2012 16:24:50 +1100

t38modem (2.0.0-1) experimental; urgency=low

  [ Kilian Krause ]
  * New upstream version: 2.0.0 (Closes: #615783, #592999)
   - disable simplify makefile patch for now
   - Build-Depend on OPAL 3.10 or greater
  * Remove linux-headers from Build-Conflicts as we're now well into linux-2.6
    (Closes: #614060)

  [ Michael van der Kolff ]
  * Add a new simplify-makefile, remove old simplify-makefile (Closes: #615783)
  * Add a patch so it builds with the present OPAL in the tree (yeah, the svn
    has the fix, but might as well make sure it builds)
  * Add myself to Uploaders
  * Add upstream changelog
  * Update copyright for DEP-5
  * Add spelling fix per lintian warning, upstreamed.

 -- Michael van der Kolff <mvanderkolff@gmail.com>  Thu, 09 Feb 2012 15:03:25 +1100
