=== debian/control ===
Source: t38modem
Section: comm
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders:
 Kilian Krause <kilian@debian.org>,
 Jose Carlos Garcia Sogo <jsogo@debian.org>,
 Mark Purcell <msp@debian.org>,
 Santiago Garcia Mantinan <manty@debian.org>,
 Michael van der Kolff <mvanderkolff@gmail.com>
Build-Depends:
 debhelper (>= 9),
 help2man,
 libexpat1-dev,
 libopal-dev (>= 3.10)
Standards-Version: 3.9.4
Homepage: http://t38modem.sf.net/
Vcs-Svn: svn://svn.debian.org/pkg-voip/t38modem/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/t38modem/trunk/

Package: t38modem
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: hylafax-server
Description: T.38 Fax over IP pseudo modem
 From your fax application view point it's a fax modem pool.
 From IP network view point it's a H.323 endpoint with T.38 fax support.
 From your view point it's a gateway between a fax application and IP network.
